#############################################################
## JOB DESCRIPTION                                         ##
#############################################################

# This is what this job does


#############################################################
## ADJUSTABLE PARAMETERS                                   ##
#############################################################

structure          __set-me__.psf
coordinates        __set-me__.pdb
outputName         __set-me__

set temperature    310

# Continuing a job from the restart files
if {0} {
set inputname      __set-me__
binCoordinates     $inputname.restart.coor
binVelocities      $inputname.restart.vel  ;# remove the "temperature" entry if you use this!
extendedSystem	   $inputname.xsc
} 

firsttimestep      0


#############################################################
## SIMULATION PARAMETERS                                   ##
#############################################################

# Input
# you know you need to put ALL the needed files, right?
paraTypeCharmm	    on
parameters          par_all27_prot_lipid.inp 

# NOTE: Do not set the initial velocity temperature if you 
# have also specified a .vel restart file!
temperature         $temperature
 

# Periodic Boundary conditions
# NOTE: Do not set the periodic cell basis if you have also 
# specified an .xsc restart file!
if {0} { 
cellBasisVector1    20.0  0    0
cellBasisVector2     0   20.0  0
cellBasisVector3     0    0   50.0
cellOrigin           0    0    0
}
wrapWater           on
wrapAll             on


# Force-Field Parameters
exclude             scaled1-4
1-4scaling          1.0
cutoff              12.0
switching           on
switchdist          10.0
pairlistdist        14.0


# Integrator Parameters
timestep            2.0  ;# 2fs/step
rigidBonds          all  ;# needed for 2fs steps
nonbondedFreq       1
fullElectFrequency  2  
stepspercycle       10


#PME (for full-system periodic electrostatics)
if {0} {
PME                 yes
PMEGridSpacing      1.0

#manual grid definition
#PMEGridSizeX        32
#PMEGridSizeY        32
#PMEGridSizeZ        64
}


# Constant Temperature Control
langevin            on    ;# do langevin dynamics
langevinDamping     1     ;# damping coefficient (gamma) of 5/ps
langevinTemp        $temperature
langevinHydrogen    no    ;# don't couple langevin bath to hydrogens


# Constant Pressure Control (variable volume)
if {0} {
useGroupPressure      yes ;# needed for 2fs steps
useFlexibleCell       no  ;# no for water box, yes for membrane
useConstantArea       no  ;# no for water box, yes for membrane

langevinPiston        on
langevinPistonTarget  1.01325 ;#  in bar -> 1 atm
langevinPistonPeriod  100.0
langevinPistonDecay   50.0
langevinPistonTemp    $temperature
}


restartfreq         500     ;# 500steps = every 1ps
dcdfreq             500
xstFreq             500
outputEnergies      100
outputPressure      100


# Fixed Atoms Constraint (set PDB beta-column to 1)
if {0} {
fixedAtoms          on
fixedAtomsFile      myfixedatoms.pdb
fixedAtomsCol       B
}


# IMD Settings (can view sim in VMD)
if {0} {
IMDon           on
IMDport         3000    ;# port number (enter it in VMD)
IMDfreq         1       ;# send every 1 frame
IMDwait         no      ;# wait for VMD to connect before running?
}


#############################################################
## EXTRA PARAMETERS                                        ##
#############################################################

# Put here any custom parameters that are specific to 
# this job (e.g., SMD, TclForces, etc...)



#############################################################
## EXECUTION SCRIPT                                        ##
#############################################################

# Minimization
if {0} {
minimize            100
reinitvels          $temperature
}

run 50000 ;# 100ps





